Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.service
Class Installer

    java.lang.Object
      org.red5.server.service.Installer

    public final class Installer

extends Object

This service provides the means to list, download, install, and un-install applications from a given url.

Author:
  Paul Gregoire (mondain@gmail.com), Dominick Accattato (daccattato@gmail.com)

Constructor Summary
`Installer()`

Method Summary
`AsyncMessage` | `getApplicationList()` Returns a Map containing all of the application wars in the snapshot repository.
`String` | `getApplicationRepositoryUrl()`
`LoaderMBean` | `getLoader()` Returns the LoaderMBean.
`boolean` | `install(String applicationWarName)` Installs a given application.
`void` | `setApplicationRepositoryUrl(String applicationRepositoryUrl)`
`boolean` | `uninstall(String applicationName)` Un-installs a given application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Installer

    public Installer()

Method Detail

### getApplicationRepositoryUrl

    public String getApplicationRepositoryUrl()

### setApplicationRepositoryUrl

    public void setApplicationRepositoryUrl(String applicationRepositoryUrl)

### getLoader

    public LoaderMBean getLoader()

  Returns the LoaderMBean.

  Returns:
    LoaderMBean

### getApplicationList

    public AsyncMessage getApplicationList()

  Returns a Map containing all of the application wars in the snapshot repository.

  Returns:
    async message

### install

    public boolean install(String applicationWarName)

  Installs a given application.

  Parameters:
    `applicationWarName` - app war name
  Returns:
    true if installed; false otherwise

### uninstall

    public boolean uninstall(String applicationName)

  Un-installs a given application.

  Parameters:
    `applicationName` - name to uninstall
  Returns:
    true if uninstalled; else false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project